Bug 699905

Summary: Mesa rebuild for fixed LLVM 2.8
Product: [Fedora] Fedora Reporter: Adam Jackson <ajax>
Component: mesaAssignee: Adam Jackson <ajax>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: ajax, awilliam, bos, dmalcolm, jlaska, kevin, michel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedBlocker
Fixed In Version: mesa-7.11-0.9.20110509.0.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 699896 Environment:
Last Closed: 2011-05-10 03:33:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 699896    
Bug Blocks: 617261    

Description Adam Jackson 2011-04-26 21:29:56 UTC
Rebuild of Mesa required to pick this up.

+++ This bug was initially created as a clone of Bug #699896 +++

Description of problem:

What it says on the box.  This is known upstream (though not in the release notes), and it makes the Mesa software renderer explode when used on Sandybridge CPUs.

Simplest fix for F15 is to disable AVX code generation.  I have a patch for this.

Version-Release number of selected component (if applicable):

2.8-10.fc15

--- Additional comment from ajax@redhat.com on 2011-04-26 16:59:52 EDT ---

Upstream bug reference, for the curious:

http://llvm.org/bugs/show_bug.cgi?id=9508

--- Additional comment from updates@fedoraproject.org on 2011-04-26 17:28:01 EDT ---

llvm-2.8-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/llvm-2.8-11.fc15

Comment 1 Adam Jackson 2011-04-26 21:30:27 UTC
Fix component.

Comment 2 Adam Williamson 2011-04-29 18:10:59 UTC
Discussed at 2011-04-29 blocker review meeting. This goes with https://bugzilla.redhat.com/show_bug.cgi?id=699896 as a rebuild of mesa is needed when bugs in llvm are fixed, so it is accepted as a blocker along with that bug.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 James Laska 2011-05-05 12:25:08 UTC
What's the latest on this issue?  I think llvm is now in stable.  Is this waiting for llvm-2.8-11.fc15 to hit the stable repo, before submitting a mesa build?

Comment 4 Fedora Update System 2011-05-06 17:11:59 UTC
mesa-7.11-0.8.20110506.0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mesa-7.11-0.8.20110506.0.fc15

Comment 5 Fedora Update System 2011-05-07 15:07:39 UTC
Package mesa-7.11-0.8.20110506.0.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-7.11-0.8.20110506.0.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mesa-7.11-0.8.20110506.0.fc15
then log in and leave karma (feedback).

Comment 6 Kevin Kofler 2011-05-08 08:47:40 UTC
By a user report, this update causes:
https://bugzilla.redhat.com/show_bug.cgi?id=702872
https://bugs.freedesktop.org/show_bug.cgi?id=36914
Please include the upstream commit fixing that bug!

Comment 7 Fedora Update System 2011-05-08 23:09:40 UTC
mesa-7.11-0.9.20110509.0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mesa-7.11-0.9.20110509.0.fc15

Comment 8 Fedora Update System 2011-05-10 03:33:43 UTC
mesa-7.11-0.9.20110509.0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.